#if !defined(AFX_DLGBRUSHREGISTERSELECT_H__6679FA62_224B_4018_A146_E9DFB0C70BFC__INCLUDED_)
#define AFX_DLGBRUSHREGISTERSELECT_H__6679FA62_224B_4018_A146_E9DFB0C70BFC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgBrushRegisterSelect.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "DlgBrushRegisterSelectSub.h"	// For FD_BRUSH_REGISTER_HEADER_INN.
#include "DialogBase.h"		// For Baseclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCDialogBase

/////////////////////////////////////////////////////////////////////////////
// CFCDlgBrushRegisterSelect _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCDlgBrushRegisterSelect : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCDlgBrushRegisterSelect(CWnd* pParent = NULL);   // _xZkqqHx_jFfHiPiAiCmMiDfCiDjDiDfIiDgHiDiJiDeOiDfO_xHqqkZx_

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCDlgBrushRegisterSelect)
	enum { IDD = IDD_COM_BRUSH_REGISTER_SELECT };
		// _xZkqqHx_iDiBiDiC_xHqqkZx_: ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDgGiBfLiDfO_xHqqkZx_ _xZkqqHx_iDiBiDjDiDgPiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA

FD_BRUSH_REGISTER_HEADER_INN

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_
	//{{AFX_VIRTUAL(CFCDlgBrushRegisterSelect)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:

	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCDlgBrushRegisterSelect)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	virtual void OnOK();
	afx_msg void OnRbsBtnBrushRegisterModify();
	afx_msg void OnRbsBtnBrushRegisterAdd();
	afx_msg void OnRbsBtnBrushRegisterDelete();
	afx_msg void OnRbsBtnImportOn();
	afx_msg void OnRbsBtnFileImport();
	afx_msg void OnRbsBtnCopyImport();
	//}}AFX_MSG
	afx_msg LRESULT OnUserMtrxSelchanged(WPARAM wParam = 0, LPARAM lParam = 0);
	afx_msg LRESULT OnUserMultictrlChanged(WPARAM wParam = 0, LPARAM lParam = 0);
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_DLGBRUSHREGISTERSELECT_H__6679FA62_224B_4018_A146_E9DFB0C70BFC__INCLUDED_)
